%define version 2.2.10
%define release %mkrel 2

%define pkgname libsigc++

%define api_version 2.0
%define major 0
%define libname %mklibname sigc++ %api_version %major
%define libnamedev %mklibname -d sigc++ %api_version

Name:		%{pkgname}%{api_version}
Summary:	The Typesafe Signal Framework for C++
Version:	%{version}
Release:	%{release}
License:	LGPL
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/2.2/%{pkgname}-%{version}.tar.xz
URL:		http://libsigc.sourceforge.net/
Group:		System/Libraries

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libnamedev}
Summary:	Development tools for the Typesafe Signal Framework for C++ 
Group:		Development/C++
Provides:	libsigc++1.2-examples
Obsoletes:	libsigc++1.2-examples
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	sigc++%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d sigc++ %api_version %major

%description -n %{libnamedev}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Books/Other
BuildArch:	noarch

%description doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libsigc-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%files doc
%doc %{_docdir}/libsigc++-%{api_version}
%_datadir/devhelp/books/libsigc++-%{api_version}


%changelog

* Sat Dec 31 2011 fwang <fwang> 2.2.10-2.mga2
+ Revision: 189256
- doc should be noarch package
- new version 2.2.10
  do not ship .la files

* Tue Jun 28 2011 fwang <fwang> 2.2.9-1.mga2
+ Revision: 115049
- new version 2.2.9

* Thu Jan 13 2011 ahmad <ahmad> 2.2.8-2.mga1
+ Revision: 8688
- clean spec; drop old/unneeded scriptlets
- imported package libsigc++2.0

